# class Prism::Pattern::CompilationError

Raised when the query given to a pattern is either invalid Ruby syntax or is using syntax that we don’t yet support.

### Public Class Methods

new (repr)
Source

    # File lib/prism/pattern.rb, line 43
          def initialize(repr)
            super(<<~ERROR)
              prism was unable to compile the pattern you provided into a usable
              expression. It failed on to understand the node represented by:

              #{repr}

              Note that not all syntax supported by Ruby's pattern matching syntax
              is also supported by prism's patterns. If you're using some syntax
              that you believe should be supported, please open an issue on
              GitHub at https://github.com/ruby/prism/issues/new.
            ERROR
          end

Create a new `CompilationError` with the given representation of the node that caused the error.

Calls superclass method `Exception::new`